# FoundationClasses
TKAdvTools
GraphTools

# GraphTools_ListIteratorOfSCList Class Reference

`#include <GraphTools_ListIteratorOfSCList.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GraphTools_ListIteratorOfSCList ()
Standard_EXPORT | GraphTools_ListIteratorOfSCList (const GraphTools_SCList &L)
Standard_EXPORT void | Initialize (const GraphTools_SCList &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_GraphTools_SC & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT GraphTools_ListIteratorOfSCList::GraphTools_ListIteratorOfSCList | ( |  | ) |

Standard_EXPORT GraphTools_ListIteratorOfSCList::GraphTools_ListIteratorOfSCList | ( | const GraphTools_SCList & | L | ) |

## Member Function Documentation

Standard_EXPORT void GraphTools_ListIteratorOfSCList::Initialize | ( | const GraphTools_SCList & | L | ) |

Standard_Boolean GraphTools_ListIteratorOfSCList::More | ( |  | ) | const

Standard_EXPORT void GraphTools_ListIteratorOfSCList::Next | ( |  | ) |

void GraphTools_ListIteratorOfSCList::operator delete | ( | void * | anAddress | ) | `[inline]`

void* GraphTools_ListIteratorOfSCList::operator new | ( | size_t | size | ) | `[inline]`

void* GraphTools_ListIteratorOfSCList::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_GraphTools_SC& GraphTools_ListIteratorOfSCList::Value | ( |  | ) | const

## Field Documentation

Standard_Address GraphTools_ListIteratorOfSCList::current `[private]`

Standard_Address GraphTools_ListIteratorOfSCList::previous `[private]`

The documentation for this class was generated from the following file:

- GraphTools_ListIteratorOfSCList.hxx